---
title: "Get all sales invoice service items"
slug: "get-all-sales-invoice-service-items"
updated: 2025-10-24T20:01:28Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all sales invoice service items

Get/api/v1/invoices/salesinvoiceservices/serviceitems

Get all sales invoice service items in the system.

		
			

**Description**

This endpoint retrieves all configured sales service item lines as available in the Bloxs administration. The results are presented in an array. A sales service item line refers to a standard line with default values that is available for a sales invoice service. An example would be 'Office space rental 1 hour'.

**Use Case**

In order to decide which line items to select for a specific sales invoice service, the user can utilize this endpoint to get an overview of the full range of available options.

**Response fields**

The 200 response contains the fields in the table below. All available sales service line items are returned as an array of objects.

| Field | Description |
| --- | --- |
| name | Includes the name of the sales service line item. An example would be 'Office space rental 1 hour'. |
| defaultInvoiceLineDescription | The default description of the invoice service line. It can provide extra details in addition to the name of the invoice service line. |
| ledgerAccountCode | Ledger account code. |
| defaultNumberOfItems | The default number of items associated with this specific sales invoice service item. If for example the service is 'Office space rental 1 hour', this value should contain '1'. |
| amountExcl | Total amount excluding VAT |
| amountVAT | Total VAT amount |
| amountIncl | Total amount including VAT |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='879250b1-e968-4cba-b797-fc3a281bfc5b'>application/json</option>
</select>Array of object   object  namestring    Min length0Max length256
defaultInvoiceLineDescriptionstring   | null  
defaultNumberOfItemsinteger  (int32)    
amountExclnumber  (double)    
amountVATnumber  (double)    
amountInclnumber  (double)
